## ros-rolling-rmf-traffic-ros2 2.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(rmf_traffic_ros2)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_LIST_DIR}/cmake)

include(GNUInstallDirs)

find_package(ament_cmake REQUIRED)
find_package(rmf_traffic 3 REQUIRED)
find_package(rmf_traffic_msgs REQUIRED)
find_package(rmf_site_map_msgs REQUIRED)
find_package(rmf_building_map_msgs REQUIRED)
find_package(rmf_fleet_msgs REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(rclcpp REQUIRED)
find_package(yaml-cpp REQUIRED)
find_package(nlohmann_json REQUIRED)
find_package(ZLIB REQUIRED)
find_package(LibUUID REQUIRED)

# NOTE(MXG): libproj-dev does not currently distribute its cmake config-files
# in Debian, so we can't use find_package and need to rely on pkg-config.
# find_package(PROJ REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(PROJ REQUIRED IMPORTED_TARGET proj)

if (rmf_traffic_FOUND)
  message(STATUS "found rmf_traffic")
  message(STATUS "rmf_traffic_LIBRARIES: ${rmf_traffic_LIBRARIES}")
  message(STATUS "rmf_traffic_INCLUDE_DIRS: ${rmf_traffic_INCLUDE_DIRS}")
endif()

if(BUILD_TESTING)
  find_package(ament_cmake_catch2 QUIET)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN include src examples
    CONFIG_FILE ${uncrustify_config_file}
    LANGUAGE C++
    MAX_LINE_LENGTH 80
  )

  file(GLOB_RECURSE unit_test_srcs "test/unit/*.cpp")

  ament_add_catch2(
    test_rmf_traffic_ros2 test/main.cpp ${unit_test_srcs}
    TIMEOUT 300)

  target_compile_definitions(test_rmf_traffic_ros2
    PRIVATE
      "-DTEST_RESOURCES_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/test/resources/\"")

  target_link_libraries(test_rmf_traffic_ros2
      rmf_traffic_ros2
      yaml-cpp
  )

  add_executable(missing_query_schedule_node
    test/mock_schedule_nodes/missing_query_schedule.cpp
  )
  target_include_directories(missing_query_schedule_node
    PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
      ${rmf_traffic_msgs_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      "src"
  )
  target_link_libraries(missing_query_schedule_node rmf_traffic_ros2)

  add_executable(missing_query_monitor_node
    test/mock_monitor_nodes/missing_query_monitor.cpp
  )
  target_include_directories(missing_query_monitor_node
    PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
      ${rmf_traffic_msgs_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      "src"
  )
  target_link_libraries(missing_query_monitor_node rmf_traffic_ros2)

  add_executable(wrong_query_schedule_node
    test/mock_schedule_nodes/wrong_query.cpp
  )
  target_include_directories(wrong_query_schedule_node
    PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
      ${rmf_traffic_msgs_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      "src"
  )
  target_link_libraries(wrong_query_schedule_node rmf_traffic_ros2)

  add_executable(delayed_query_broadcast_monitor_node
    test/mock_monitor_nodes/delayed_query_broadcast_monitor.cpp
  )
  target_include_directories(delayed_query_broadcast_monitor_node
    PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
      ${rmf_traffic_msgs_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      "src"
  )
  target_link_libraries(delayed_query_broadcast_monitor_node rmf_traffic_ros2)

  add_executable(missing_participant_schedule_node
    test/mock_schedule_nodes/missing_participant.cpp
  )
  target_include_directories(missing_participant_schedule_node
    PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
      ${rmf_traffic_msgs_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      "src"
  )
  target_link_libraries(missing_participant_schedule_node rmf_traffic_ros2)

  add_executable(changed_participant_schedule_node
    test/mock_schedule_nodes/changed_participant_id.cpp
  )
  target_include_directories(changed_participant_schedule_node
    PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
      ${rmf_traffic_msgs_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      "src"
  )
  target_link_libraries(changed_participant_schedule_node rmf_traffic_ros2)

  add_executable(mock_repetitive_delay_participant
    test/mock_participants/repetitive_delay_participant.cpp)
  target_link_libraries(mock_repetitive_delay_participant
    PUBLIC
      rmf_traffic_ros2)

  install(
    TARGETS
      missing_query_schedule_node
      missing_query_monitor_node
      wrong_query_schedule_node
      delayed_query_broadcast_monitor_node
      missing_participant_schedule_node
      changed_participant_schedule_node
      mock_repetitive_delay_participant
    RUNTIME DESTINATION lib/rmf_traffic_ros2
  )
endif()

file(GLOB_RECURSE core_lib_srcs "src/rmf_traffic_ros2/*.cpp")
add_library(rmf_traffic_ros2 SHARED ${core_lib_srcs})

target_link_libraries(rmf_traffic_ros2
  PUBLIC
    rmf_traffic::rmf_traffic
    nlohmann_json::nlohmann_json
    ${rmf_traffic_msgs_LIBRARIES}
    ${rmf_site_map_msgs_LIBRARIES}
    ${rmf_building_map_msgs_LIBRARIES}
    ${rclcpp_LIBRARIES}
    yaml-cpp
    ZLIB::ZLIB
    PkgConfig::PROJ
  PRIVATE
    LibUUID::LibUUID
)

target_include_directories(rmf_traffic_ros2
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${rmf_traffic_msgs_INCLUDE_DIRS}
    ${rmf_site_map_msgs_INCLUDE_DIRS}
    ${rmf_building_map_msgs_INCLUDE_DIRS}
    ${rclcpp_INCLUDE_DIRS}
)

ament_export_targets(rmf_traffic_ros2 HAS_LIBRARY_TARGET)
ament_export_dependencies(
  rclcpp
  rmf_traffic
  rmf_traffic_msgs
  rmf_fleet_msgs
  rmf_site_map_msgs
  Eigen3
  rclcpp
  yaml-cpp
  nlohmann_json
  ZLIB
)

# TODO(MXG): Change these executables into shared libraries that can act as
# ROS2 node components

#===============================================================================
file(GLOB_RECURSE schedule_srcs "src/rmf_traffic_schedule/*.cpp")
add_executable(rmf_traffic_schedule ${schedule_srcs})

target_link_libraries(rmf_traffic_schedule
  PRIVATE
    rmf_traffic_ros2
)

#===============================================================================
file(GLOB_RECURSE schedule_srcs "src/rmf_traffic_schedule_monitor/*.cpp")
add_executable(rmf_traffic_schedule_monitor ${schedule_srcs})

target_link_libraries(rmf_traffic_schedule_monitor
  PRIVATE
    rmf_traffic_ros2
)

#===============================================================================
file(GLOB_RECURSE blockade_srcs "src/rmf_traffic_blockade/*.cpp")
add_executable(rmf_traffic_blockade ${blockade_srcs})

target_link_libraries(rmf_traffic_blockade
  PRIVATE
    rmf_traffic_ros2
)

#===============================================================================
# Add examples
# TODO(MXG): Consider creating a separate downstream package for these
add_executable(participant_node examples/participant_node.cpp)
target_link_libraries(participant_node PUBLIC rmf_traffic_ros2)

#===============================================================================
add_executable(update_participant src/update_participant/main.cpp)
target_link_libraries(update_participant PRIVATE rmf_traffic_ros2)

#===============================================================================
install(
  DIRECTORY include/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

# Install executables
install(
  TARGETS
    rmf_traffic_schedule
    rmf_traffic_schedule_monitor
    rmf_traffic_blockade
    update_participant
  RUNTIME DESTINATION lib/rmf_traffic_ros2
)

# Install and export shared library
install(
  TARGETS
    rmf_traffic_ros2
  EXPORT rmf_traffic_ros2
  RUNTIME DESTINATION lib/rmf_traffic_ros2
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

ament_package(
  CONFIG_EXTRAS
    cmake/proj_dependency.cmake
)

## ros-rolling-rmf-traffic-ros2 1.4.0

=== debian/changelog ===
ros-rolling-rmf-traffic-ros2 (1.4.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Grey <grey@openrobotics.org>  Mon, 06 Sep 2021 05:05:30 -0000

=== debian/control ===
Source: ros-rolling-rmf-traffic-ros2
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libyaml-cpp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-catch2, ros-rolling-rclcpp, ros-rolling-rmf-cmake-uncrustify, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-msgs, ros-rolling-rmf-utils, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-traffic-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-rolling-rclcpp, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-msgs, ros-rolling-rmf-utils, ros-rolling-ros-workspace
Description: A package containing messages used by the RMF traffic management system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmf-traffic-ros2//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmf-traffic-ros2 2.3.2

=== debian/changelog ===
ros-rolling-rmf-traffic-ros2 (2.3.2-1jammy) jammy; urgency=high

  * Improve linking time (#297 <https://github.com/open-rmf/rmf_ros2/pull/297>)
  * EasyFullControl API (#235 <https://github.com/open-rmf/rmf_ros2/pull/235>)
  * Remove a few warnings related to RCLCPP logger (#296 <https://github.com/open-rmf/rmf_ros2/pull/296>)
  * Contributors: Arjo Chakravarty, Grey, Luca Della Vedova, Xiyu, Yadunund

 -- Grey <grey@openrobotics.org>  Sun, 27 Aug 2023 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.3.1-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.3.0-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.2.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.1.5-1jammy) jammy; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.1.4-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.1.3-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.1.2-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.1.0-1jammy) jammy; urgency=high

  * Make async behaviors more robust: (#228 <https://github.com/open-rmf/rmf_ros2/pull/228>)
  * Make schedule failover more robust: (#232 <https://github.com/open-rmf/rmf_ros2/pull/232>)
  * Ignore conflicts between any plans that have a dependency: (#205 <https://github.com/open-rmf/rmf_ros2/pull/205>)
  * Add support for docking in lanes with entry events: (#226 <https://github.com/open-rmf/rmf_ros2/pull/226>)
  * Add message conversion functions for the navigation graph: (#207 <https://github.com/open-rmf/rmf_ros2/pull/207>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- Grey <grey@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (2.0.0-1jammy) jammy; urgency=high

  * Update to the traffic dependency system: (#188 <https://github.com/open-rmf/rmf_ros2/pull/188>)

 -- Grey <grey@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (1.5.0-1jammy) jammy; urgency=high

  * Allow participants to sync up with remote databases when discrepancies arise (#145 <https://github.com/open-rmf/rmf_ros2/pull/145>)
  * Support for geojson graphs (#142 <https://github.com/open-rmf/rmf_ros2/pull/142>)

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (1.4.0-1jammy) jammy; urgency=high

  * Make traffic schedule updates more efficient: (#86 <https://github.com/open-rmf/rmf_ros2/pull/86>)
  * Add redundancy to the traffic schedule node: (#61 <https://github.com/open-rmf/rmf_ros2/pull/61>)

 -- Grey <grey@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (1.3.0-1jammy) jammy; urgency=high

  * Use topics to update schedule mirrors: (#17 <https://github.com/open-rmf/rmf_ros2/pull/17>)
  * Allow participant descriptions to update: (#17 <https://github.com/open-rmf/rmf_ros2/pull/17>)
  * Add persistence to Traffic Schedule Participant IDs: (#242 <https://github.com/osrf/rmf_core/pull/242>)

 -- Grey <grey@openrobotics.org>  Sun, 06 Jun 2021 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (1.2.0-1jammy) jammy; urgency=high

  * Adding distributed blockade system hooks: (#22 <https://github.com/osrf/rmf_core/pull/22>)

 -- Grey <grey@openrobotics.org>  Mon, 04 Jan 2021 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (1.1.0-1jammy) jammy; urgency=high

  * Add a schedule node factory to the public API: (#147 <https://github.com/osrf/rmf_core/pull/147>)
  * Allow the Negotiation class to accept callbacks for Table updates: (#140 <https://github.com/osrf/rmf_core/pull/140>)
  * Allow the Negotiation class to provide views for existing Tables: (#140 <https://github.com/osrf/rmf_core/pull/140>)
  * Allow the Negotiation class to store up to a certain number of completed negotiations: (#140 <https://github.com/osrf/rmf_core/pull/140>)
  * Migrating to ROS2 Foxy: (#133 <https://github.com/osrf/rmf_core/pull/13>)
  * Contributors: Aaron Chong, Grey, Yadu, ddengster

 -- Grey <grey@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (1.0.2-1jammy) jammy; urgency=high

  * Always respond to negotiations: (#138 <https://github.com/osrf/rmf_core/pull/138>)

 -- Grey <grey@openrobotics.org>  Sun, 26 Jul 2020 16:00:00 -0000

ros-rolling-rmf-traffic-ros2 (1.0.0-1jammy) jammy; urgency=high

  * Provides rmf_traffic_ros2 library which offers utilities to wrap rmf_traffic into ros2 APIs
    
    rmf_traffic_ros2::convert(T) functions convert between rmf_traffic API data structures and rmf_traffic_msgs message structures
    
    rmf_traffic_ros2::schedule utilities help to connect rmf_traffic objects across distributed ROS2 systems
    
    MirrorManager - Object that maintains a rmf_traffic::schedule::Mirror across ROS2 connections
    
    Writer - Factory for rmf_traffic::schedule::Participant objects that can talk to a database across ROS2 connections
    
    Negotiation - Object that manages a set of traffic negotiations across ROS2 connections
  * rmf_traffic_schedule - a ROS2 node that manages a traffic schedule service and judges the outcomes of traffic negotiations
  * Contributors: Aaron Chong, Grey, Marco A. Gutiérrez, Morgan Quigley, Yadu, Yadunund, koonpeng



=== debian/control ===
Source: ros-rolling-rmf-traffic-ros2
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libproj-dev, libyaml-cpp-dev, nlohmann-json3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-catch2 <!nocheck>, ros-rolling-ament-cmake-uncrustify <!nocheck>, ros-rolling-rclcpp, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-site-map-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-msgs, ros-rolling-rmf-utils, uuid-dev, zlib1g-dev, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-traffic-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libproj-dev, libyaml-cpp-dev, nlohmann-json3-dev, ros-rolling-rclcpp, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-site-map-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-msgs, ros-rolling-rmf-utils, uuid-dev, zlib1g-dev, ros-rolling-ros-workspace
Description: A package containing messages used by the RMF traffic management system.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
